package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价结果dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportCourseEvaluationResultDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "权重变化id")
    private Long weightSettingSign;

    @ApiModelProperty(value = "课程目标总达成评价值")
    private BigDecimal targetEvaluationSumValue;

    @ApiModelProperty(value = "课程目标集合")
    private List<CourseTargetWebDto> targetList;

    public ReportCourseEvaluationResultDto() {

    }

    public ReportCourseEvaluationResultDto(BigDecimal targetEvaluationSumValue, List<CourseTargetWebDto> targetList, Long weightSettingSign) {
        this.targetEvaluationSumValue = targetEvaluationSumValue;
        this.targetList = targetList;
        this.weightSettingSign = weightSettingSign;
    }

    public BigDecimal getTargetEvaluationSumValue() {
        return targetEvaluationSumValue;
    }

    public void setTargetEvaluationSumValue(BigDecimal targetEvaluationSumValue) {
        this.targetEvaluationSumValue = targetEvaluationSumValue;
    }

    public List<CourseTargetWebDto> getTargetList() {
        return targetList;
    }

    public void setTargetList(List<CourseTargetWebDto> targetList) {
        this.targetList = targetList;
    }

    public Long getWeightSettingSign() {
        return weightSettingSign;
    }

    public void setWeightSettingSign(Long weightSettingSign) {
        this.weightSettingSign = weightSettingSign;
    }
}
